This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1257453 - pxelinux does not work with switchable bootloader support: fetches kernel image from path with incorrect prefix
pxelinux does not work with switchable bootloader support: fetches kernel ima...
Status: NEW
Product: Beaker
Classification: Community
Component: general (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 02:10 EDT by Dan Callaghan
Modified: 2016-07-27 02:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2015-08-27 02:10:22 EDT
If a machine is using the switchable bootloader support and pxelinux.0 is picked as the boot loader (that is, Beaker makes bootloader/<fqdn>/image a symlink to ../../pxelinux.0) then it will try to load kernel+initrd from the wrong path:

bootloader/<fqdn>//images/test3.dcallagh.beakerdevs.lab.eng.bne.redhat.com/kernel

Maybe only affects pxelinux 4.0+ since I noticed this in my Beaker environment (using latest syslinux package from RHEL6) whereas in our other environments I *think* we don't see this problem, and we are using older pxelinux there. Need to double-check.

According to http://www.syslinux.org/wiki/index.php/PXELINUX#Filename_syntax prepending :: to the filenames will make pxelinux ignore the "root" prefix and actually fetch the path that is given as is. This works for pxelinux 4.0. However we would have to check exactly which pxelinux versions that is applicable to before we switched Beaker's netboot configs over to using that.

Note You need to log in before you can comment on or make changes to this bug.